@REM ----------------------------------------------------------------------------
@REM Copyright 2001-2004 The Apache Software Foundation.
@REM 
@REM Licensed under the Apache License, Version 2.0 (the "License");
@REM you may not use this file except in compliance with the License.
@REM You may obtain a copy of the License at
@REM 
@REM      http://www.apache.org/licenses/LICENSE-2.0
@REM 
@REM Unless required by applicable law or agreed to in writing, software
@REM distributed under the License is distributed on an "AS IS" BASIS,
@REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@REM See the License for the specific language governing permissions and
@REM limitations under the License.
@REM ----------------------------------------------------------------------------
@REM 

@echo off

set ERROR_CODE=0

:init
@REM Decide how to startup depending on the version of windows

@REM -- Win98ME
if NOT "%OS%"=="Windows_NT" goto Win9xArg

@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" @setlocal

@REM -- 4NT shell
if "%eval[2+2]" == "4" goto 4NTArgs

@REM -- Regular WinNT shell
set CMD_LINE_ARGS=%*
goto WinNTGetScriptDir

@REM The 4NT Shell from jp software
:4NTArgs
set CMD_LINE_ARGS=%$
goto WinNTGetScriptDir

:Win9xArg
@REM Slurp the command line arguments.  This loop allows for an unlimited number
@REM of agruments (up to the command line limit, anyway).
set CMD_LINE_ARGS=
:Win9xApp
if %1a==a goto Win9xGetScriptDir
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto Win9xApp

:Win9xGetScriptDir
%0\
cd %0\..\.. 
goto setPaths

:WinNTGetScriptDir
cd /d %0\..\.. 
goto setPaths

:setPaths
set BASEDIR=%CD%

if "%REPO%"=="" set REPO="%BASEDIR%\repo"

set CLASSPATH="%BASEDIR%"\etc;%REPO%\org\mortbay\jetty\jetty-plus\6.1.3\jetty-plus-6.1.3.jar;%REPO%\org\mortbay\jetty\jetty-naming\6.1.3\jetty-naming-6.1.3.jar;%REPO%\no\brodwall\reference\reference-app\1.0-SNAPSHOT\reference-app-1.0-SNAPSHOT.jar;%REPO%\org\mortbay\jetty\jetty\6.1.3\jetty-6.1.3.jar;%REPO%\javax\activation\activation\1.1\activation-1.1.jar;%REPO%\geronimo-spec\geronimo-spec-jta\1.0.1B-rc4\geronimo-spec-jta-1.0.1B-rc4.jar;%REPO%\org\mortbay\jetty\servlet-api-2.5\6.1.3\servlet-api-2.5-6.1.3.jar;%REPO%\org\mortbay\jetty\jetty-util\6.1.3\jetty-util-6.1.3.jar;%REPO%\no\brodwall\reference\reference-web\1.0-SNAPSHOT\reference-web-1.0-SNAPSHOT.war;%REPO%\javax\mail\mail\1.4\mail-1.4.jar;
set EXTRA_JVM_ARGUMENTS=
goto endInit

@REM Reaching here means variables are defined and arguments have been captured
:endInit

java %JAVA_OPTS% %EXTRA_JVM_ARGUMENTS% -classpath %CLASSPATH_PREFIX%;%CLASSPATH% -Dapp.name="reference-app" -Dbasedir="%BASEDIR%" no.brodwall.reference.app.StartWebServer %CMD_LINE_ARGS%

:error
if "%OS%"=="Windows_NT" @endlocal
set ERROR_CODE=1

:end
@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" goto endNT

@REM For old DOS remove the set variables from ENV - we assume they were not set
@REM before we started - at least we don't leave any baggage around
set CMD_LINE_ARGS=
goto postExec

:endNT
@endlocal

:postExec
exit /B %ERROR_CODE%
